Bug 427788 - Kernel panic when booting xen kernel (Xen BUG at vmcs.c:121)
Kernel panic when booting xen kernel (Xen BUG at vmcs.c:121)
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen (Show other bugs)
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Xen Maintainance List
Virtualization Bugs
Depends On:
  Show dependency treegraph
Reported: 2008-01-07 11:10 EST by Gino Rossen
Modified: 2009-12-14 16:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-21 09:28:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Kernel panic log (16.79 KB, text/plain)
2008-01-07 11:10 EST, Gino Rossen
no flags Details

  None (edit)
Description Gino Rossen 2008-01-07 11:10:30 EST
Description of problem:
On a IBM X3650/7979(71G) server booting the system with the xen kernel
(2.6.18-53.1.4.el5xen) results in a kernel panic.
Using the standard kernel (2.6.18-53.1.4.el5) the system boots fine. 
Since we have 2 identical X3650 servers which are both giving a kernel panic
when booting in the xen kernel i think we can rule out faulty hardware.
"Intel Virtual Technology" option is enabled in BIOS

Version-Release number of selected component (if applicable):
Xen version 3.1.0-53.1.4.el5

How reproducible:
Every time

Steps to Reproduce:
1. Boot Xen kernel
2. Panic
Actual results:
Kernel panic

Expected results:

Additional info:
I've attached the kernel log.
Comment 1 Gino Rossen 2008-01-07 11:10:31 EST
Created attachment 290970 [details]
Kernel panic log
Comment 2 Chris Lalancette 2008-01-07 11:37:11 EST
We've seen this one before; it's most likely a BIOS bug.  See
https://bugzilla.redhat.com/show_bug.cgi?id=249300 for details, and check if
there is an updated BIOS from your vendor.

Chris Lalancette
Comment 3 Gino Rossen 2008-01-07 13:08:28 EST
When trying to open bug #249300 i get:

You are not authorized to access bug #249300. 
Access to some bugs is restricted due to embargoed security issues or respect for customer and partner 
information which must remain confidential.

Latest BIOS upgrade from IBM has been applied (1.07).
Comment 4 Gino Rossen 2008-01-21 04:48:55 EST
Issue has been resolved. Problem was caused by different CPU steppings. We
changed one of the cpu's so both cpu's are now the same stepping. After that the
xen kernel booted fine.
Comment 5 Bill Burns 2008-01-21 09:28:27 EST
Closed as not a bug, per commment #4.

Note You need to log in before you can comment on or make changes to this bug.